--- old/usr/src/cmd/devfsadm/i386/Makefile	Fri Aug 10 23:19:08 2018
+++ new/usr/src/cmd/devfsadm/i386/Makefile	Fri Aug 10 23:19:08 2018
@@ -18,6 +18,7 @@
 #
 # CDDL HEADER END
 #
+
 #
 # Copyright (c) 1998, 2010, Oracle and/or its affiliates. All rights reserved.
 #
@@ -24,10 +25,7 @@
 
 LINK_OBJS_i386 = \
 	drm_link_i386.o \
-	misc_link_i386.o \
-	xen_link.o
+	misc_link_i386.o
 
-xen_link.o xen_link.ln xen_link.po := CPPFLAGS += -I$(UTSBASE)/i86xpv
-
 include ../Makefile.com
 
--- old/usr/src/cmd/dtrace/test/tst/Makefile	Fri Aug 10 23:19:09 2018
+++ new/usr/src/cmd/dtrace/test/tst/Makefile	Fri Aug 10 23:19:09 2018
@@ -23,11 +23,10 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
 
 include $(SRC)/Makefile.master
 
-SUBDIRS= common $(MACH:i386=i386 i86xpv)
+SUBDIRS= common $(MACH)
 include ../Makefile.subdirs
 
 dstyle := TARGET += dstyle
--- old/usr/src/cmd/mdb/Makefile	Fri Aug 10 23:19:10 2018
+++ new/usr/src/cmd/mdb/Makefile	Fri Aug 10 23:19:10 2018
@@ -32,7 +32,7 @@
 i386_MACHDIR = intel
 
 sparc_SUBDIRS = sparc sun4u sun4v
-i386_SUBDIRS = intel i86pc i86xpv
+i386_SUBDIRS = intel i86pc
 
 MACHDIR = $($(MACH)_MACHDIR)
 SUBDIRS = tools $($(MACH)_SUBDIRS) demo
--- old/usr/src/cmd/mdb/common/modules/genunix/memory.c	Fri Aug 10 23:19:10 2018
+++ new/usr/src/cmd/mdb/common/modules/genunix/memory.c	Fri Aug 10 23:19:10 2018
@@ -41,9 +41,6 @@
 #include <vm/seg_map.h>
 #include <vm/seg_vn.h>
 #include <vm/seg_hole.h>
-#if defined(__i386) || defined(__amd64)
-#include <sys/balloon_impl.h>
-#endif
 
 #include "avl.h"
 #include "memory.h"
@@ -509,10 +506,6 @@
 	vn_htable_t ht;
 	struct vnode *kvps;
 	uintptr_t vn_size = 0;
-#if defined(__i386) || defined(__amd64)
-	bln_stats_t bln_stats;
-	ssize_t bln_size;
-#endif
 
 	bzero(&stats, sizeof (memstat_t));
 
@@ -631,29 +624,10 @@
 	else
 		freemem = 0;
 
-#if defined(__i386) || defined(__amd64)
-	/* Are we running under Xen?  If so, get balloon memory usage. */
-	if ((bln_size = mdb_readvar(&bln_stats, "bln_stats")) != -1) {
-		if (freemem > bln_stats.bln_hv_pages)
-			freemem -= bln_stats.bln_hv_pages;
-		else
-			freemem = 0;
-	}
-#endif
-
 	mdb_printf("Free (freelist)  %16lu  %16llu  %3lu%%\n", freemem,
 	    (uint64_t)freemem * PAGESIZE / (1024 * 1024),
 	    MS_PCT_TOTAL(freemem));
 
-#if defined(__i386) || defined(__amd64)
-	if (bln_size != -1) {
-		mdb_printf("Balloon          %16lu  %16llu  %3lu%%\n",
-		    bln_stats.bln_hv_pages,
-		    (uint64_t)bln_stats.bln_hv_pages * PAGESIZE / (1024 * 1024),
-		    MS_PCT_TOTAL(bln_stats.bln_hv_pages));
-	}
-#endif
-
 	mdb_printf("\nTotal            %16lu  %16lu\n",
 	    physmem,
 	    (uint64_t)physmem * PAGESIZE / (1024 * 1024));
--- old/usr/src/cmd/mdb/intel/modules/Makefile	Fri Aug 10 23:19:12 2018
+++ new/usr/src/cmd/mdb/intel/modules/Makefile	Fri Aug 10 23:19:12 2018
@@ -18,14 +18,16 @@
 #
 # CDDL HEADER END
 #
+
 #
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-SUBDIRS = mdb_kb \
-	i40e \
-	generic_cpu \
+
+SUBDIRS= \
 	amd_opteron \
+	generic_cpu \
+	i40e \
 	sata \
 	xhci
 
--- old/usr/src/pkg/manifests/SUNWcs.mf	Fri Aug 10 23:19:12 2018
+++ new/usr/src/pkg/manifests/SUNWcs.mf	Fri Aug 10 23:19:12 2018
@@ -23,7 +23,7 @@
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2013 Gary Mills
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
-# Copyright 2015 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2018 Nexenta Systems, Inc.
 # Copyright 2017 Toomas Soome <tsoome@me.com>
 #
 
@@ -920,7 +920,6 @@
 file path=usr/lib/devfsadm/linkmod/SUNW_smp_link.so group=sys
 file path=usr/lib/devfsadm/linkmod/SUNW_tape_link.so group=sys
 file path=usr/lib/devfsadm/linkmod/SUNW_usb_link.so group=sys
-$(i386_ONLY)file path=usr/lib/devfsadm/linkmod/SUNW_xen_link.so group=sys
 file path=usr/lib/diffh mode=0555
 file path=usr/lib/expreserve mode=0555
 file path=usr/lib/exrecover mode=0555
@@ -1575,14 +1574,6 @@
 hardlink path=usr/sbin/share target=../../usr/sbin/sharemgr
 hardlink path=usr/sbin/tapes target=./devfsadm
 hardlink path=usr/sbin/unshare target=../../usr/sbin/sharemgr
-legacy pkg=SUNWcsr \
-    desc="core software for a specific instruction-set architecture" \
-    name="Core Solaris, (Root)"
-legacy pkg=SUNWcsu \
-    desc="core software for a specific instruction-set architecture" \
-    name="Core Solaris, (Usr)"
-legacy pkg=SUNWftpr desc="FTP Server Configuration Files" \
-    name="FTP Server, (Root)"
 license cr_ATT license=cr_ATT
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
--- old/usr/src/pkg/manifests/developer-debug-mdb.mf	Fri Aug 10 23:19:13 2018
+++ new/usr/src/pkg/manifests/developer-debug-mdb.mf	Fri Aug 10 23:19:13 2018
@@ -38,11 +38,6 @@
     variant.opensolaris.zone=global
 $(i386_ONLY)dir path=platform/i86pc/kernel/kmdb group=sys
 $(i386_ONLY)dir path=platform/i86pc/kernel/kmdb/$(ARCH64) group=sys
-$(i386_ONLY)dir path=platform/i86xpv group=sys variant.opensolaris.zone=global
-$(i386_ONLY)dir path=platform/i86xpv/kernel group=sys \
-    variant.opensolaris.zone=global
-$(i386_ONLY)dir path=platform/i86xpv/kernel/kmdb group=sys
-$(i386_ONLY)dir path=platform/i86xpv/kernel/kmdb/$(ARCH64) group=sys
 $(sparc_ONLY)dir path=platform/sun4u group=sys variant.opensolaris.zone=global
 $(sparc_ONLY)dir path=platform/sun4u/kernel group=sys \
     variant.opensolaris.zone=global
@@ -73,11 +68,6 @@
 $(i386_ONLY)dir path=usr/platform/i86pc/lib/mdb group=sys
 $(i386_ONLY)dir path=usr/platform/i86pc/lib/mdb/kvm group=sys
 $(i386_ONLY)dir path=usr/platform/i86pc/lib/mdb/kvm/$(ARCH64) group=sys
-$(i386_ONLY)dir path=usr/platform/i86xpv group=sys
-$(i386_ONLY)dir path=usr/platform/i86xpv/lib
-$(i386_ONLY)dir path=usr/platform/i86xpv/lib/mdb group=sys
-$(i386_ONLY)dir path=usr/platform/i86xpv/lib/mdb/kvm group=sys
-$(i386_ONLY)dir path=usr/platform/i86xpv/lib/mdb/kvm/$(ARCH64) group=sys
 $(sparc_ONLY)dir path=usr/platform/sun4u group=sys
 $(sparc_ONLY)dir path=usr/platform/sun4u/lib
 $(sparc_ONLY)dir path=usr/platform/sun4u/lib/mdb group=sys
@@ -137,12 +127,6 @@
     mode=0555
 $(i386_ONLY)file path=platform/i86pc/kernel/kmdb/$(ARCH64)/uppc group=sys \
     mode=0555
-$(i386_ONLY)file path=platform/i86xpv/kernel/kmdb/$(ARCH64)/unix group=sys \
-    mode=0555
-$(i386_ONLY)file path=platform/i86xpv/kernel/kmdb/$(ARCH64)/xpv_psm group=sys \
-    mode=0555
-$(i386_ONLY)file path=platform/i86xpv/kernel/kmdb/$(ARCH64)/xpv_uppc group=sys \
-    mode=0555
 $(sparc_ONLY)file path=platform/sun4u/kernel/kmdb/$(ARCH64)/oplhwd group=sys \
     mode=0555
 $(sparc_ONLY)file path=platform/sun4u/kernel/kmdb/$(ARCH64)/sgenv group=sys \
@@ -182,7 +166,6 @@
 file path=usr/lib/mdb/kvm/$(ARCH64)/lofs.so group=sys mode=0555
 file path=usr/lib/mdb/kvm/$(ARCH64)/logindmux.so group=sys mode=0555
 file path=usr/lib/mdb/kvm/$(ARCH64)/mac.so group=sys mode=0555
-$(i386_ONLY)file path=usr/lib/mdb/kvm/$(ARCH64)/mdb_kb.so group=sys mode=0555
 file path=usr/lib/mdb/kvm/$(ARCH64)/mdb_ks.so group=sys mode=0555
 file path=usr/lib/mdb/kvm/$(ARCH64)/mm.so group=sys mode=0555
 file path=usr/lib/mdb/kvm/$(ARCH64)/mpt.so group=sys mode=0555
@@ -242,14 +225,6 @@
     group=sys mode=0555
 $(i386_ONLY)file path=usr/platform/i86pc/lib/mdb/kvm/$(ARCH64)/uppc.so \
     group=sys mode=0555
-$(i386_ONLY)file path=usr/platform/i86xpv/lib/mdb/kvm/$(ARCH64)/unix.so \
-    group=sys mode=0555
-$(i386_ONLY)file path=usr/platform/i86xpv/lib/mdb/kvm/$(ARCH64)/xpv.so \
-    group=sys mode=0555
-$(i386_ONLY)file path=usr/platform/i86xpv/lib/mdb/kvm/$(ARCH64)/xpv_psm.so \
-    group=sys mode=0555
-$(i386_ONLY)file path=usr/platform/i86xpv/lib/mdb/kvm/$(ARCH64)/xpv_uppc.so \
-    group=sys mode=0555
 $(sparc_ONLY)file path=usr/platform/sun4u/lib/mdb/kvm/$(ARCH64)/oplhwd.so \
     group=sys mode=0555
 $(sparc_ONLY)file path=usr/platform/sun4u/lib/mdb/kvm/$(ARCH64)/sgenv.so \
@@ -275,9 +250,6 @@
 hardlink path=usr/bin/$(ARCH64)/adb target=../../../usr/bin/$(ARCH64)/mdb
 hardlink path=usr/bin/adb target=../../usr/lib/isaexec
 hardlink path=usr/bin/mdb target=../../usr/lib/isaexec
-legacy pkg=SUNWmdb desc="Modular Debugger (MDB)" name="Modular Debugger"
-legacy pkg=SUNWmdbr desc="Modular Debugger (MDB) (Root)" \
-    name="Modular Debugger (Root)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
 license usr/src/common/bzip2/LICENSE license=usr/src/common/bzip2/LICENSE
--- old/usr/src/pkg/manifests/driver-i86pc-ioat.mf	Fri Aug 10 23:19:13 2018
+++ new/usr/src/pkg/manifests/driver-i86pc-ioat.mf	Fri Aug 10 23:19:13 2018
@@ -43,10 +43,6 @@
 dir path=platform/i86pc/kernel group=sys
 dir path=platform/i86pc/kernel/drv group=sys
 dir path=platform/i86pc/kernel/drv/$(ARCH64) group=sys
-dir path=platform/i86xpv group=sys
-dir path=platform/i86xpv/kernel group=sys
-dir path=platform/i86xpv/kernel/drv group=sys
-dir path=platform/i86xpv/kernel/drv/$(ARCH64) group=sys
 driver name=ioat \
     alias=pciex8086,1a38 \
     alias=pciex8086,360b \
@@ -54,8 +50,5 @@
 file path=kernel/misc/$(ARCH64)/dcopy group=sys mode=0755
 file path=platform/i86pc/kernel/drv/$(ARCH64)/ioat group=sys
 file path=platform/i86pc/kernel/drv/ioat.conf group=sys
-file path=platform/i86xpv/kernel/drv/$(ARCH64)/ioat group=sys
-file path=platform/i86xpv/kernel/drv/ioat.conf group=sys
-legacy pkg=SUNWdcopy desc="Sun dcopy DMA drivers" name="Sun dcopy DMA drivers"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
--- old/usr/src/pkg/manifests/driver-storage-ata.mf	Fri Aug 10 23:19:13 2018
+++ new/usr/src/pkg/manifests/driver-storage-ata.mf	Fri Aug 10 23:19:13 2018
@@ -43,10 +43,6 @@
 dir path=platform/i86pc/kernel group=sys
 dir path=platform/i86pc/kernel/drv group=sys
 dir path=platform/i86pc/kernel/drv/$(ARCH64) group=sys
-dir path=platform/i86xpv group=sys
-dir path=platform/i86xpv/kernel group=sys
-dir path=platform/i86xpv/kernel/drv group=sys
-dir path=platform/i86xpv/kernel/drv/$(ARCH64) group=sys
 dir path=usr/share/man
 dir path=usr/share/man/man7d
 driver name=ata alias=ide class=dada class=scsi
@@ -56,10 +52,6 @@
     original_name=SUNWpsdir:kernel/drv/ata.conf preserve=true
 file path=platform/i86pc/kernel/drv/$(ARCH64)/pci-ide group=sys
 file path=platform/i86pc/kernel/drv/pci-ide.conf group=sys
-file path=platform/i86xpv/kernel/drv/$(ARCH64)/pci-ide group=sys
-file path=platform/i86xpv/kernel/drv/pci-ide.conf group=sys
 file path=usr/share/man/man7d/ata.7d
-legacy pkg=SUNWpsdir desc="Platform Support, ISA Bus Device Drivers, (Root)" \
-    name="Platform Support, ISA Bus Device Drivers, (Root)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
--- old/usr/src/pkg/manifests/driver-x11-xsvc.mf	Fri Aug 10 23:19:13 2018
+++ new/usr/src/pkg/manifests/driver-x11-xsvc.mf	Fri Aug 10 23:19:13 2018
@@ -39,16 +39,8 @@
 dir path=platform/i86pc/kernel group=sys
 dir path=platform/i86pc/kernel/drv group=sys
 dir path=platform/i86pc/kernel/drv/$(ARCH64) group=sys
-dir path=platform/i86xpv group=sys
-dir path=platform/i86xpv/kernel group=sys
-dir path=platform/i86xpv/kernel/drv group=sys
-dir path=platform/i86xpv/kernel/drv/$(ARCH64) group=sys
 driver name=xsvc devlink=type=ddi_pseudo;name=xsvc\t\M0
 file path=platform/i86pc/kernel/drv/$(ARCH64)/xsvc group=sys
 file path=platform/i86pc/kernel/drv/xsvc.conf group=sys
-file path=platform/i86xpv/kernel/drv/$(ARCH64)/xsvc group=sys
-file path=platform/i86xpv/kernel/drv/xsvc.conf group=sys
-legacy pkg=SUNWxsvc desc="Sun Xserver pseudo driver" \
-    name="Sun Xserver pseudo driver" version=11.11.0,REV=2009.11.11
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
--- old/usr/src/pkg/manifests/driver-xvm-pv.mf	Fri Aug 10 23:19:14 2018
+++ new/usr/src/pkg/manifests/driver-xvm-pv.mf	Fri Aug 10 23:19:14 2018
@@ -53,7 +53,5 @@
 file path=platform/$(ARCH32)hvm/kernel/drv/xpvd.conf group=sys
 file path=platform/$(ARCH32)hvm/kernel/misc/$(ARCH64)/hvm_bootstrap group=sys \
     mode=0755
-legacy pkg=SUNWxvmpv desc="xVM Paravirtualized Drivers" \
-    name="xVM Paravirtualized Drivers"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
--- old/usr/src/pkg/manifests/system-dtrace-tests.mf	Fri Aug 10 23:19:14 2018
+++ new/usr/src/pkg/manifests/system-dtrace-tests.mf	Fri Aug 10 23:19:14 2018
@@ -127,8 +127,6 @@
 dir path=opt/SUNWdtrt/tst/common/ustack
 dir path=opt/SUNWdtrt/tst/common/vars
 dir path=opt/SUNWdtrt/tst/common/version
-$(i386_ONLY)dir path=opt/SUNWdtrt/tst/i86xpv
-$(i386_ONLY)dir path=opt/SUNWdtrt/tst/i86xpv/xdt
 file path=opt/SUNWdtrt/README mode=0444
 file path=opt/SUNWdtrt/bin/$(ARCH32)/chkargs mode=0555
 file path=opt/SUNWdtrt/bin/$(ARCH64)/chkargs mode=0555
@@ -2129,15 +2127,6 @@
 file path=opt/SUNWdtrt/tst/common/vars/tst.uid.d mode=0444
 file path=opt/SUNWdtrt/tst/common/vars/tst.walltimestamp.d mode=0444
 file path=opt/SUNWdtrt/tst/common/version/tst.1.0.d mode=0444
-$(i386_ONLY)file path=opt/SUNWdtrt/tst/i86xpv/xdt/tst.basic.ksh mode=0444
-$(i386_ONLY)file path=opt/SUNWdtrt/tst/i86xpv/xdt/tst.hvmenable.ksh mode=0444
-$(i386_ONLY)file path=opt/SUNWdtrt/tst/i86xpv/xdt/tst.memenable.ksh mode=0444
-$(i386_ONLY)file path=opt/SUNWdtrt/tst/i86xpv/xdt/tst.schedargs.ksh mode=0444
-$(i386_ONLY)file path=opt/SUNWdtrt/tst/i86xpv/xdt/tst.schedenable.ksh \
-    mode=0444
-legacy pkg=SUNWdtrt category=internal \
-    desc="DTrace Test Suite Internal Distribution" \
-    hotline="Contact the DTrace discussion forum" name="DTrace Test Suite"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
 depend fmri=runtime/java type=require
--- old/usr/src/pkg/manifests/system-header.mf	Fri Aug 10 23:19:14 2018
+++ new/usr/src/pkg/manifests/system-header.mf	Fri Aug 10 23:19:14 2018
@@ -161,10 +161,6 @@
 $(i386_ONLY)dir path=usr/platform/i86pc/include
 $(i386_ONLY)dir path=usr/platform/i86pc/include/sys
 $(i386_ONLY)dir path=usr/platform/i86pc/include/vm
-$(i386_ONLY)dir path=usr/platform/i86xpv group=sys
-$(i386_ONLY)dir path=usr/platform/i86xpv/include
-$(i386_ONLY)dir path=usr/platform/i86xpv/include/sys
-$(i386_ONLY)dir path=usr/platform/i86xpv/include/vm
 $(sparc_ONLY)dir path=usr/platform/sun4u group=sys
 $(sparc_ONLY)dir path=usr/platform/sun4u/include
 $(sparc_ONLY)dir path=usr/platform/sun4u/include/sys
@@ -185,7 +181,6 @@
 dir path=usr/share/src group=sys
 dir path=usr/share/src/uts
 $(i386_ONLY)dir path=usr/share/src/uts/i86pc
-$(i386_ONLY)dir path=usr/share/src/uts/i86xpv
 $(sparc_ONLY)dir path=usr/share/src/uts/sun4u
 $(sparc_ONLY)dir path=usr/share/src/uts/sun4v
 dir path=usr/xpg4
@@ -1700,11 +1695,6 @@
 $(i386_ONLY)file path=usr/platform/i86pc/include/vm/hment.h
 $(i386_ONLY)file path=usr/platform/i86pc/include/vm/htable.h
 $(i386_ONLY)file path=usr/platform/i86pc/include/vm/kboot_mmu.h
-$(i386_ONLY)file path=usr/platform/i86xpv/include/sys/balloon.h
-$(i386_ONLY)file path=usr/platform/i86xpv/include/sys/machprivregs.h
-$(i386_ONLY)file path=usr/platform/i86xpv/include/sys/xen_mmu.h
-$(i386_ONLY)file path=usr/platform/i86xpv/include/sys/xpv_impl.h
-$(i386_ONLY)file path=usr/platform/i86xpv/include/vm/seg_mf.h
 $(sparc_ONLY)file path=usr/platform/sun4u/include/sys/ac.h
 $(sparc_ONLY)file path=usr/platform/sun4u/include/sys/async.h
 $(sparc_ONLY)file path=usr/platform/sun4u/include/sys/cheetahregs.h
@@ -2106,10 +2096,6 @@
     target=../../../../platform/i86pc/include/sys
 $(i386_ONLY)link path=usr/share/src/uts/i86pc/vm \
     target=../../../../platform/i86pc/include/vm
-$(i386_ONLY)link path=usr/share/src/uts/i86xpv/sys \
-    target=../../../../platform/i86xpv/include/sys
-$(i386_ONLY)link path=usr/share/src/uts/i86xpv/vm \
-    target=../../../../platform/i86xpv/include/vm
 $(sparc_ONLY)link path=usr/share/src/uts/sun4u/sys \
     target=../../../../platform/sun4u/include/sys
 $(sparc_ONLY)link path=usr/share/src/uts/sun4u/vm \
--- old/usr/src/pkg/manifests/system-kernel-dtrace-providers-xdt.mf	Fri Aug 10 23:19:15 2018
+++ new/usr/src/pkg/manifests/system-kernel-dtrace-providers-xdt.mf	Fri Aug 10 23:19:15 2018
@@ -23,29 +23,6 @@
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
 
-#
-# The default for payload-bearing actions in this package is to appear in the
-# global zone only.  See the include file for greater detail, as well as
-# information about overriding the defaults.
-#
-<include global_zone_only_component>
 set name=pkg.fmri value=pkg:/system/kernel/dtrace/providers/xdt@$(PKGVERS)
-set name=pkg.description \
-    value="DTrace provider for tracing events in the xVM hypervisor"
-set name=pkg.summary value="xVM Hypervisor Dynamic Tracing (DTrace) Provider"
-set name=info.classification \
-    value=org.opensolaris.category.2008:Development/System
+set name=pkg.obsolete value=true
 set name=variant.arch value=i386
-dir path=platform group=sys
-dir path=platform/i86xpv group=sys
-dir path=platform/i86xpv/kernel group=sys
-dir path=platform/i86xpv/kernel/drv group=sys
-dir path=platform/i86xpv/kernel/drv/$(ARCH64) group=sys
-driver name=xdt
-file path=platform/i86xpv/kernel/drv/$(ARCH64)/xdt group=sys
-file path=platform/i86xpv/kernel/drv/xdt.conf group=sys
-legacy pkg=SUNWxdt \
-    desc="DTrace provider for tracing events in the xVM hypervisor" \
-    name="xVM Hypervisor Dynamic Tracing (DTrace) Provider"
-license cr_Sun license=cr_Sun
-license lic_CDDL license=lic_CDDL
--- old/usr/src/pkg/manifests/system-kernel-platform.mf	Fri Aug 10 23:19:15 2018
+++ new/usr/src/pkg/manifests/system-kernel-platform.mf	Fri Aug 10 23:19:15 2018
@@ -21,7 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
-# Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2018 Nexenta Systems, Inc.
 # Copyright 2014 Gary Mills
 #
 
@@ -310,21 +310,6 @@
 $(i386_ONLY)dir path=platform/i86pc/kernel/misc group=sys
 $(i386_ONLY)dir path=platform/i86pc/kernel/misc/$(ARCH64) group=sys
 $(i386_ONLY)dir path=platform/i86pc/ucode group=sys
-$(i386_ONLY)dir path=platform/i86xpv group=sys
-$(i386_ONLY)dir path=platform/i86xpv/kernel group=sys
-$(i386_ONLY)dir path=platform/i86xpv/kernel/$(ARCH64) group=sys
-$(i386_ONLY)dir path=platform/i86xpv/kernel/cpu group=sys
-$(i386_ONLY)dir path=platform/i86xpv/kernel/cpu/$(ARCH64) group=sys
-$(i386_ONLY)dir path=platform/i86xpv/kernel/dacf group=sys
-$(i386_ONLY)dir path=platform/i86xpv/kernel/dacf/$(ARCH64) group=sys
-$(i386_ONLY)dir path=platform/i86xpv/kernel/drv group=sys
-$(i386_ONLY)dir path=platform/i86xpv/kernel/drv/$(ARCH64) group=sys
-$(i386_ONLY)dir path=platform/i86xpv/kernel/mach group=sys
-$(i386_ONLY)dir path=platform/i86xpv/kernel/mach/$(ARCH64) group=sys
-$(i386_ONLY)dir path=platform/i86xpv/kernel/misc group=sys
-$(i386_ONLY)dir path=platform/i86xpv/kernel/misc/$(ARCH64) group=sys
-$(i386_ONLY)dir path=platform/i86xpv/kernel/tod group=sys
-$(i386_ONLY)dir path=platform/i86xpv/kernel/tod/$(ARCH64) group=sys
 $(sparc_ONLY)dir path=platform/sun4u group=sys
 $(sparc_ONLY)dir path=platform/sun4u-us3 group=sys
 $(sparc_ONLY)dir path=platform/sun4u-us3/kernel group=sys
@@ -539,18 +524,9 @@
     alias=SUNW,virtual-devices
 $(sparc_ONLY)driver name=xcalppm alias=ebus-ppm
 $(sparc_ONLY)driver name=xcalwd
-$(i386_ONLY)driver name=xdb
 $(i386_ONLY)driver name=xdf
-$(i386_ONLY)driver name=xenbus perms="* 0666 root sys"
-$(i386_ONLY)driver name=xencons
-$(i386_ONLY)driver name=xnbe alias=xnb,ioemu
-$(i386_ONLY)driver name=xnbo \
-    alias=xnb \
-    alias=xnb,SUNW_mac
-$(i386_ONLY)driver name=xnbu alias=xnb,netfront
 $(i386_ONLY)driver name=xnf
 $(i386_ONLY)driver name=xpvd
-$(i386_ONLY)driver name=xpvtap perms="* 0666 root sys"
 $(sparc_ONLY)driver name=zs perms="[a-z] 0666 root sys" \
     perms="[a-z],cu 0600 uucp uucp"
 $(sparc_ONLY)driver name=zsh perms="* 0666 root sys"
@@ -853,52 +829,6 @@
 $(i386_ONLY)file path=platform/i86pc/ucode/intel-ucode.txt group=sys mode=0444 \
     original_name=SUNWcakr:platform/i86pc/ucode/intel-ucode.txt preserve=true \
     reboot-needed=true
-$(i386_ONLY)file path=platform/i86xpv/kernel/$(ARCH64)/unix group=sys \
-    mode=0755
-$(i386_ONLY)file path=platform/i86xpv/kernel/cpu/$(ARCH64)/cpu.generic \
-    group=sys mode=0755
-$(i386_ONLY)file path=platform/i86xpv/kernel/cpu/$(ARCH64)/cpu_ms.AuthenticAMD \
-    group=sys mode=0755
-$(i386_ONLY)file \
-    path=platform/i86xpv/kernel/cpu/$(ARCH64)/cpu_ms.AuthenticAMD.15 \
-    group=sys mode=0755
-$(i386_ONLY)file path=platform/i86xpv/kernel/cpu/$(ARCH64)/cpu_ms.GenuineIntel \
-    group=sys mode=0755
-$(i386_ONLY)file path=platform/i86xpv/kernel/dacf/$(ARCH64)/consconfig_dacf \
-    group=sys mode=0755
-$(i386_ONLY)file path=platform/i86xpv/kernel/drv/$(ARCH64)/balloon group=sys
-$(i386_ONLY)file path=platform/i86xpv/kernel/drv/$(ARCH64)/domcaps group=sys
-$(i386_ONLY)file path=platform/i86xpv/kernel/drv/$(ARCH64)/evtchn group=sys
-$(i386_ONLY)file path=platform/i86xpv/kernel/drv/$(ARCH64)/isa group=sys
-$(i386_ONLY)file path=platform/i86xpv/kernel/drv/$(ARCH64)/npe group=sys
-$(i386_ONLY)file path=platform/i86xpv/kernel/drv/$(ARCH64)/pci group=sys
-$(i386_ONLY)file path=platform/i86xpv/kernel/drv/$(ARCH64)/pit_beep group=sys
-$(i386_ONLY)file path=platform/i86xpv/kernel/drv/$(ARCH64)/privcmd group=sys
-$(i386_ONLY)file path=platform/i86xpv/kernel/drv/$(ARCH64)/rootnex group=sys
-$(i386_ONLY)file path=platform/i86xpv/kernel/drv/$(ARCH64)/xdb group=sys
-$(i386_ONLY)file path=platform/i86xpv/kernel/drv/$(ARCH64)/xdf group=sys
-$(i386_ONLY)file path=platform/i86xpv/kernel/drv/$(ARCH64)/xenbus group=sys
-$(i386_ONLY)file path=platform/i86xpv/kernel/drv/$(ARCH64)/xencons group=sys
-$(i386_ONLY)file path=platform/i86xpv/kernel/drv/$(ARCH64)/xnbe group=sys
-$(i386_ONLY)file path=platform/i86xpv/kernel/drv/$(ARCH64)/xnbo group=sys
-$(i386_ONLY)file path=platform/i86xpv/kernel/drv/$(ARCH64)/xnbu group=sys
-$(i386_ONLY)file path=platform/i86xpv/kernel/drv/$(ARCH64)/xnf group=sys
-$(i386_ONLY)file path=platform/i86xpv/kernel/drv/$(ARCH64)/xpvd group=sys
-$(i386_ONLY)file path=platform/i86xpv/kernel/drv/$(ARCH64)/xpvtap group=sys
-$(i386_ONLY)file path=platform/i86xpv/kernel/drv/pit_beep.conf group=sys
-$(i386_ONLY)file path=platform/i86xpv/kernel/drv/xencons.conf group=sys
-$(i386_ONLY)file path=platform/i86xpv/kernel/mach/$(ARCH64)/xpv_psm group=sys \
-    mode=0755
-$(i386_ONLY)file path=platform/i86xpv/kernel/mach/$(ARCH64)/xpv_uppc group=sys \
-    mode=0755
-$(i386_ONLY)file path=platform/i86xpv/kernel/misc/$(ARCH64)/gfx_private \
-    group=sys mode=0755
-$(i386_ONLY)file path=platform/i86xpv/kernel/misc/$(ARCH64)/xnb group=sys \
-    mode=0755
-$(i386_ONLY)file path=platform/i86xpv/kernel/misc/$(ARCH64)/xpv_autoconfig \
-    group=sys mode=0755
-$(i386_ONLY)file path=platform/i86xpv/kernel/tod/$(ARCH64)/xpvtod group=sys \
-    mode=0755
 $(sparc_ONLY)file path=platform/sun4u-us3/kernel/crypto/$(ARCH64)/aes \
     group=sys mode=0755
 $(sparc_ONLY)file path=platform/sun4u/bootlst group=sys reboot-needed=true
@@ -1130,9 +1060,6 @@
 $(sparc_ONLY)legacy pkg=SUNWcakrnt2000.v arch=$(ARCH).sun4v \
     desc="driver software for the Netra-T2000 hardware platform" \
     name="Platform Specific Drivers for Netra-T2000, (Root)"
-$(i386_ONLY)legacy pkg=SUNWcakrx.i arch=$(ARCH).i86pc \
-    desc="core kernel software for the i86xpv virtual hardware platform" \
-    name="Core Kernel Architecture i86xpv, (Root)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
 license usr/src/cmd/mdb/common/libstand/THIRDPARTYLICENSE \
--- old/usr/src/pkg/manifests/system-library-processor.mf	Fri Aug 10 23:19:15 2018
+++ new/usr/src/pkg/manifests/system-library-processor.mf	Fri Aug 10 23:19:15 2018
@@ -54,7 +54,6 @@
 $(sparc_ONLY)dir path=platform/SUNW,Ultra-30 group=sys
 $(sparc_ONLY)dir path=platform/SUNW,Ultra-60 group=sys
 $(i386_ONLY)dir path=platform/i86pc group=sys
-$(i386_ONLY)dir path=platform/i86xpv group=sys
 $(sparc_ONLY)dir path=platform/sun4u group=sys
 $(sparc_ONLY)dir path=platform/sun4u/lib
 $(sparc_ONLY)dir path=platform/sun4u/lib/$(ARCH64)
@@ -107,9 +106,6 @@
 $(sparc_ONLY)legacy pkg=SUNWcart200.v arch=$(ARCH).sun4v \
     desc="core software for a specific hardware platform group" \
     name="Core Architecture, sun4v-based platforms (Root)"
-$(i386_ONLY)legacy pkg=SUNWcarx.i arch=$(ARCH).i86pc \
-    desc="core software for the i86xpv virtual hardware platform" \
-    name="Core Architecture i86xpv, (Root)"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
 $(sparc_ONLY)link path=platform/SUNW,Netra-210 target=SUNW,Sun-Fire-V240
--- old/usr/src/uts/Makefile	Fri Aug 10 23:19:16 2018
+++ new/usr/src/uts/Makefile	Fri Aug 10 23:19:16 2018
@@ -37,7 +37,7 @@
 #
 sparc_ARCHITECTURES = sun4v sun4u sparc
 
-i386_ARCHITECTURES = i86pc i86xpv intel
+i386_ARCHITECTURES = i86pc intel
 
 #
 # For i386 all architectures can be compiled in parallel.
@@ -174,7 +174,7 @@
 		common/sys
 
 sparc_HDRDIRS= sun/sys
-i386_HDRDIRS= i86pc/vm i86xpv/vm
+i386_HDRDIRS= i86pc/vm
 
 HDRDIRS= $(COMMON_HDRDIRS) $($(MACH)_HDRDIRS)
 install_h check: $(HDRDIRS) $($(MACH)_ARCHITECTURES)
--- old/usr/src/uts/i86pc/io/pciex/inc.flg	Fri Aug 10 23:19:16 2018
+++ new/usr/src/uts/i86pc/io/pciex/inc.flg	Fri Aug 10 23:19:16 2018
@@ -54,7 +54,6 @@
 # to compile the drivers/modules
 find_files "s.*"	\
 	usr/src/uts/i86pc/npe			\
-	usr/src/uts/i86xpv/npe			\
 	usr/src/uts/intel/pci_autoconfig	\
 	usr/src/uts/intel/pcieb			\
 	usr/src/uts/intel/pcicfg
@@ -95,11 +94,6 @@
 echo_file  usr/src/uts/i86pc/Makefile.rules
 echo_file  usr/src/uts/i86pc/Makefile.i86pc
 echo_file  usr/src/uts/i86pc/Makefile.targ
-echo_file  usr/src/uts/i86xpv/Makefile
-echo_file  usr/src/uts/i86xpv/Makefile.files
-echo_file  usr/src/uts/i86xpv/Makefile.rules
-echo_file  usr/src/uts/i86xpv/Makefile.i86xpv
-echo_file  usr/src/uts/i86xpv/Makefile.targ
 echo_file  usr/src/uts/intel/Makefile
 echo_file  usr/src/uts/intel/Makefile.files
 echo_file  usr/src/uts/intel/Makefile.rules
--- old/usr/src/uts/i86pc/os/mp_implfuncs.c	Fri Aug 10 23:19:17 2018
+++ new/usr/src/uts/i86pc/os/mp_implfuncs.c	Fri Aug 10 23:19:17 2018
@@ -32,11 +32,6 @@
 #include <sys/psm_modctl.h>
 #include <sys/smp_impldefs.h>
 #include <sys/reboot.h>
-#if defined(__xpv)
-#include <sys/hypervisor.h>
-#include <vm/kboot_mmu.h>
-#include <vm/hat_pte.h>
-#endif
 
 /*
  *	External reference functions
@@ -213,20 +208,7 @@
 		return (0);
 
 	pgoffset = addr & MMU_PAGEOFFSET;
-#ifdef __xpv
-	/*
-	 * If we're dom0, we're starting from a MA. translate that to a PA
-	 * XXPV - what about driver domains???
-	 */
-	if (DOMAIN_IS_INITDOMAIN(xen_info)) {
-		base = pfn_to_pa(xen_assign_pfn(mmu_btop(addr))) |
-		    (addr & MMU_PAGEOFFSET);
-	} else {
-		base = addr;
-	}
-#else
 	base = addr;
-#endif
 	npages = mmu_btopr(len + pgoffset);
 	cvaddr = device_arena_alloc(ptob(npages), VM_NOSLEEP);
 	if (cvaddr == NULL)
@@ -345,11 +327,7 @@
 	return (0);
 }
 
-#if defined(__xpv)
-#define	DEFAULT_PSM_MODULE	"xpv_uppc"
-#else
 #define	DEFAULT_PSM_MODULE	"uppc"
-#endif
 
 static char *
 psm_get_impl_module(int first)
@@ -390,12 +368,6 @@
 	close_mach_list();
 }
 
-#if defined(__xpv)
-#define	NOTSUP_MSG "This version of Solaris xVM does not support this hardware"
-#else
-#define	NOTSUP_MSG "This version of Solaris does not support this hardware"
-#endif	/* __xpv */
-
 void
 psm_install(void)
 {
@@ -429,7 +401,7 @@
 	}
 	mutex_exit(&psmsw_lock);
 	if (psmcnt == 0)
-		halt(NOTSUP_MSG);
+		halt("This hardware is not supported by current OS version");
 	(*psminitf)();
 }
 
--- old/usr/src/uts/i86pc/sys/xpv_support.h	Fri Aug 10 23:19:17 2018
+++ new/usr/src/uts/i86pc/sys/xpv_support.h	Fri Aug 10 23:19:17 2018
@@ -38,9 +38,15 @@
 #include <sys/types.h>
 #include <sys/inttypes.h>
 #include <sys/dditypes.h>
-#include <sys/xpv_impl.h>
-#include <sys/xen_mmu.h>
 
+/*
+ * XXX These originally were in retired xen_mmu.h and are likely to be not
+ * needed once all of the xpv related code is removed.
+ */
+typedef uint64_t maddr_t;
+typedef ulong_t mfn_t;
+#define	mfn_to_ma(mfn)	((maddr_t)(mfn) << MMU_PAGESHIFT)
+
 #define	IPL_DEBUG	15	/* domain debug interrupt */
 #define	IPL_CONS	9
 #define	IPL_VIF		6
@@ -75,7 +81,6 @@
 extern void xen_release_pfn(pfn_t);
 extern void reassign_pfn(pfn_t, mfn_t);
 
-extern shared_info_t *HYPERVISOR_shared_info;
 extern pfn_t xen_shared_info_frame;
 
 /*
--- old/usr/src/uts/intel/os/mach	Fri Aug 10 23:19:26 2018
+++ new/usr/src/uts/intel/os/mach	Fri Aug 10 23:19:26 2018
@@ -30,5 +30,3 @@
 #
 pcplusmp
 apix
-xpv_psm
-
